Subject: bug#37826: Very annoying autoraise client/server behavior with -t option

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Oct 2019 17:31:12 +0200

> From: Carlos Pita <[email-masked]>
> Date: Sun, 27 Oct 2019 12:04:37 -0300
> Cc: Juanma Barranquero <[email-masked]>, [email-masked]
> 
>  You mean, errors inside find-file-noselect?  Maybe I'm missing
>  something, but I'd expect such an error to be displayed as usual.  Can
>  you simulate an error there and see what happens?
> 
> I probably couldn't find a situation requiring intervention for the random examples I would pick now, I admit it
> would be a rare case, but there are tons of minor and major modes out there and some of them might ask
> some questions at startup. It comes to my mind that pdf-tools sometimes wants to recompile it's C part after
> an upgrade, but AFAICR this is done when the server starts and not when the file is visited, so the question is
> lost in the stdout of the daemon, which is an instance of a closely related issue.

If some mode asks a question, we have a problem already.

I wasn't talking about questions, I was talking about signaling an
error.